<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<title>W3.CSS Template</title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
<link rel='stylesheet' href='https://fonts.googleapis.com/css?family=Roboto'>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<style>
    html,body,h1,h2,h3,h4,h5,h6 {font-family: "Roboto", sans-serif}
</style>
<body class="w3-light-grey">

<!-- Page Container -->
<div class="w3-content w3-margin-top" style="max-width:1400px;">

    <!-- The Grid -->
    <div class="w3-row-padding">

        <!-- Left Column -->
        <div class="w3-third">

            <div class="w3-white w3-text-grey w3-card-4">
                <div class="w3-display-container">
                    <img th:src="${beer.picture}" src="/w3images/avatar_hat.jpg" style="width:100%" alt="Avatar">
                </div>
                <div class="w3-container">
                    <label>Description: </label><p th:text="${beer.getName()}"></p>
                    <label>Description: </label><p th:text="${beer.getDescription()}"></p>
                    <label>ABV: </label><p th:text="${beer.getABV()}">London, UK</p>
                    <label>Style: </label><p th:text="${beer.getStyle().getStyle()}">ex@mail.com</p>
                    <label>Country: </label><p th:text="${beer.getCountry().getCountry()}">1224435534</p>
                    <label>Brewery: </label><p th:text="${beer.getBrewery().getBrewery()}">1224435534</p>
                    <label>Average Rating: </label><p th:text="${beer.getAverageRating()}">1224435534</p>
                    <hr>


                </div>
            </div><br>

            <!-- End Left Column -->
        </div>


        <!-- Right Column -->
        <div class="w3-twothird">

            <div class="w3-container w3-card w3-white w3-margin-bottom">
                <h2 class="w3-text-grey w3-padding-16">Beer Rating</h2>
                <div class="w3-container">
                    <h5 class="w3-opacity"><b>Rate this Beer</b></h5>
                    <form th:action="@{~/users/addRating/{beerid}/(beerid=${beer.id})}" th:method="post">
                        <select id="rat" name="rating">
                            <option th:each="i : ${#numbers.sequence(1, 10)}" th:value="${i}" th:text="${i}">
                        </select>
                        <input type="submit" value="Rate" text="submit"/>
                    </form>
                    <div class="cell" >
                        <label>Beer Average Rating: </label><span th:text="${beer.getAverageRating()}">Petar</span>
                    </div>
                    <hr>
                </div>
                <div class="w3-container">
                    <h5 class="w3-opacity"><b>Beer Status</b></h5>
                    <div th:if="${status == null}">
                        <h2 th:text="#{status_exists}">No Tags</h2>
                        <a th:href="@{~/users/addToWishList/{beerid}(beerid=${beer.id})}"><button type="button" class="btn btn-sm btn-outline-secondary">Add to Wish List</button></a>
                        <a th:href="@{~/users/addToDrankList/{beerid}(beerid=${beer.id})}"><button type="button" class="btn btn-sm btn-outline-secondary">Add to Drank List</button></a>
                    </div>
                    <div th:unless="${status == null}">
                        <div th:if="${status.isStatus()}">
                            <h2>Status: Drunk</h2>
                        </div>
                        <div th:unless="${status.isStatus()}">
                            <h2>Status: Want To Drink</h2>
                            <a th:href="@{~/users/addToDrankList/{beerid}(beerid=${beer.id})}"><button type="button" class="btn btn-sm btn-outline-secondary">Add to Drunk List</button></a>
                        </div>
                    </div>
                    <hr>
                </div>
                <div class="w3-container">
                    <p class="w3-large"><b><i class="fa fa-asterisk fa-fw w3-margin-right w3-text-teal"></i>Tags</b></p>
                    <div th:if="${tags.isEmpty()}">
                        <h3 th:text="#{tagsTable.header.noTags}">No Tags</h3>
                    </div>
                    <div th:each="tag : ${tags}" class="w3-light-grey w3-round-xlarge w3-small">
                        <div th:text="${tag.getTag()}" class="w3-container w3-center w3-round-xlarge w3-teal" style="width:90%">90%</div>
                        <br>
                    </div>
                    <h2 class="mt-4">Add Tag</h2>
                    <form action="#" th:action="@{~/beers/{beerId}/add-tag (beerId=${beer.id})}" method="put">
                        <input type="text" class="form-control" name="tag" />
                        <input type="submit" value="Add" text="submit"/>
                    </form>

                    <hr>
                </div>
                <div class="w3-container">
                    <a th:href="@{~/beers/{id}/edit (id=${beer.id})}"><button type="button" class="btn btn-sm btn-outline-secondary">Edit</button></a>
                    <a th:href="@{~/beers/{id}/delete (id=${beer.id})}"><button type="button" class="btn btn-sm btn-outline-secondary">Delete</button></a>

                </div>
            </div>


            <!-- End Right Column -->
        </div>

        <!-- End Grid -->
    </div>

    <!-- End Page Container -->
</div>

<footer class="w3-container w3-teal w3-center w3-margin-top">
    <p>Find me on social media.</p>
    <i class="fa fa-facebook-official w3-hover-opacity"></i>
    <i class="fa fa-instagram w3-hover-opacity"></i>
    <i class="fa fa-snapchat w3-hover-opacity"></i>
    <i class="fa fa-pinterest-p w3-hover-opacity"></i>
    <i class="fa fa-twitter w3-hover-opacity"></i>
    <i class="fa fa-linkedin w3-hover-opacity"></i>
    <p>Powered by <a href="https://www.w3schools.com/w3css/default.asp" target="_blank">w3.css</a></p>
</footer>

</body>
</html>
